<?php

/**
 * @file
 * ExtraWatch - A real-time ajax monitor and live stats  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
 * @package ExtraWatch  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
 * @version 2.3  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
 * @revision 2697  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
 * @license http://www.gnu.org/licenses/gpl-3.0.txt     GNU General Public License v3  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
 * @copyright (C) 2020 by CodeGravity.com - All rights reserved!  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
 * @website http://www.codegravity.com  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
 */

/** ensure this file is being included by a parent file */  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
defined('_JEXEC') or die('Restricted access');  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  

/* This is the main file with basic settings */  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  


/* LIVE SITE:
* (remove //) of the following line to override the live site setting:  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
*/

# define('EXTRAWATCH_LIVE_SITE','/');  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  

define('EXTRAWATCH_VERSION', "2.3");  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
define('EXTRAWATCH_REVISION', "2697");  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  

define('EXTRAWATCH_DEBUG', 0);  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
define('EXTRAWATCH_PROFILING_ENABLED', 0);  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  

define('EXTRAWATCH_STATS_MAX_ROWS', '20');  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
define('TYPE_EXTRAWATCH_STATS_MAX_ROWS', "number");  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  

define('EXTRAWATCH_STATS_IP_HITS', '20');  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
define('TYPE_EXTRAWATCH_STATS_IP_HITS', "number");  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  

define('EXTRAWATCH_STATS_URL_HITS', '20');  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
define('TYPE_EXTRAWATCH_STATS_URL_HITS', "number");  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  

define('EXTRAWATCH_IGNORE_IP', '   ');  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
define('TYPE_EXTRAWATCH_IGNORE_IP', "text");  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  

define('EXTRAWATCH_IGNORE_USER', '   ');  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
define('TYPE_EXTRAWATCH_IGNORE_USER', "text");  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  

define('EXTRAWATCH_UPDATE_TIME_VISITS', "2000");  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
define('TYPE_EXTRAWATCH_UPDATE_TIME_VISITS', "number");  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  

define('EXTRAWATCH_UPDATE_TIME_STATS', "4000");  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
define('TYPE_EXTRAWATCH_UPDATE_TIME_STATS', "number");  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  

define('EXTRAWATCH_MAXID_BOTS', 40);  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
define('TYPE_EXTRAWATCH_MAXID_BOTS', "number");  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  

define('EXTRAWATCH_MAXID_VISITORS', 40);  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
define('TYPE_EXTRAWATCH_MAXID_VISITORS', "number");  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  

define('EXTRAWATCH_LIMIT_BOTS', 5);  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
define('TYPE_EXTRAWATCH_LIMIT_BOTS', "number");  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  

define('EXTRAWATCH_LIMIT_VISITORS', 200);  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
define('TYPE_EXTRAWATCH_LIMIT_VISITORS', "number");  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  

define('EXTRAWATCH_TRUNCATE_VISITS', 80);  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
define('TYPE_EXTRAWATCH_TRUNCATE_VISITS', "number");  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  

define('EXTRAWATCH_TRUNCATE_STATS', 80);  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
define('TYPE_EXTRAWATCH_TRUNCATE_STATS', "number");  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  

define('EXTRAWATCH_STATS_KEEP_DAYS', 30);   // keeping only one month  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
define('TYPE_EXTRAWATCH_STATS_KEEP_DAYS', "number");  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  

define('EXTRAWATCH_TIMEZONE_OFFSET', '0');  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
define('TYPE_EXTRAWATCH_TIMEZONE_OFFSET', "number");  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  

define('EXTRAWATCH_WEEK_OFFSET', -0.56547619);  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
define('TYPE_EXTRAWATCH_WEEK_OFFSET', "number");  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  

define('EXTRAWATCH_DAY_OFFSET', 0.0416667);  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
define('TYPE_EXTRAWATCH_DAY_OFFSET', "number");  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  

define('EXTRAWATCH_FRONTEND_HIDE_LOGO', 0);  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
define('TYPE_EXTRAWATCH_FRONTEND_HIDE_LOGO', "checkbox");  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  

define('EXTRAWATCH_IP_STATS', 0);  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
define('TYPE_EXTRAWATCH_IP_STATS', "checkbox");  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  

define('EXTRAWATCH_HIDE_ADS', 0);  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
define('TYPE_EXTRAWATCH_HIDE_ADS', "checkbox");  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  

define('EXTRAWATCH_TOOLTIP_ONCLICK', 'On');  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
define('TYPE_EXTRAWATCH_TOOLTIP_ONCLICK', "checkbox");  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  

define('EXTRAWATCH_SERVER_URI_KEY', 'REDIRECT_URL');  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  

define('TYPE_EXTRAWATCH_BLOCKING_MESSAGE', "text");  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  

define('EXTRAWATCH_TOOLTIP_WIDTH', 1000);  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
define('TYPE_EXTRAWATCH_TOOLTIP_WIDTH', "number");  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  

define('EXTRAWATCH_TOOLTIP_HEIGHT', 768);  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
define('TYPE_EXTRAWATCH_TOOLTIP_HEIGHT', "number");  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  

define('EXTRAWATCH_TOOLTIP_URL', "https://geoiptool.com/en/?ip={ip}");  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  

define('EXTRAWATCH_IGNORE_URI', '');  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
define('TYPE_EXTRAWATCH_IGNORE_URI', "text");  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  

define('EXTRAWATCH_TRUNCATE_GOALS', 20);  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  

define('EXTRAWATCH_FRONTEND_NO_BACKLINK', 0);  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
define('TYPE_EXTRAWATCH_FRONTEND_NO_BACKLINK', "checkbox");  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  

define('EXTRAWATCH_FRONTEND_NOFOLLOW', 0);  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
define('TYPE_EXTRAWATCH_FRONTEND_NOFOLLOW', "checkbox");  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  

define('EXTRAWATCH_FRONTEND_COUNTRIES', 1);  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
define('TYPE_EXTRAWATCH_FRONTEND_COUNTRIES', "checkbox");  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  

define('EXTRAWATCH_FRONTEND_COUNTRIES_UPPERCASE', 0);  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
define('TYPE_EXTRAWATCH_FRONTEND_COUNTRIES_UPPERCASE', "checkbox");  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  

define('EXTRAWATCH_FRONTEND_COUNTRIES_NUM', 10);  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
define('TYPE_EXTRAWATCH_FRONTEND_COUNTRIES_NUM', "number");  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  

define('EXTRAWATCH_FRONTEND_VISITORS', 1);  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
define('TYPE_EXTRAWATCH_FRONTEND_VISITORS', "checkbox");  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  

define('EXTRAWATCH_FRONTEND_USER_LINK', '');  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  

define('EXTRAWATCH_CACHE_FRONTEND_COUNTRIES', "300");  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  

define('EXTRAWATCH_CACHE_FRONTEND_VISITORS', "300");  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  

define('EXTRAWATCH_CACHE_FRONTEND_USERS', "300");  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  

define('EXTRAWATCH_FRONTEND_VISITORS_TODAY', 1);  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
define('TYPE_EXTRAWATCH_FRONTEND_VISITORS_TODAY', "checkbox");  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  

define('EXTRAWATCH_FRONTEND_VISITORS_YESTERDAY', 1);  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
define('TYPE_EXTRAWATCH_FRONTEND_VISITORS_YESTERDAY', "checkbox");  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  

define('EXTRAWATCH_FRONTEND_VISITORS_THIS_WEEK', 1);  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
define('TYPE_EXTRAWATCH_FRONTEND_VISITORS_THIS_WEEK', "checkbox");  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  

define('EXTRAWATCH_FRONTEND_VISITORS_LAST_WEEK', 1);  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
define('TYPE_EXTRAWATCH_FRONTEND_VISITORS_LAST_WEEK', "checkbox");  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  

define('EXTRAWATCH_FRONTEND_VISITORS_THIS_MONTH', 1);  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
define('TYPE_EXTRAWATCH_FRONTEND_VISITORS_THIS_MONTH', "checkbox");  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  

define('EXTRAWATCH_FRONTEND_VISITORS_LAST_MONTH', 1);  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
define('TYPE_EXTRAWATCH_FRONTEND_VISITORS_LAST_MONTH', "checkbox");  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  

define('EXTRAWATCH_FRONTEND_VISITORS_TOTAL', 1);  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
define('TYPE_EXTRAWATCH_FRONTEND_VISITORS_TOTAL', "checkbox");  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  

define('EXTRAWATCH_FRONTEND_COUNTRIES_FIRST', 1);  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
define('TYPE_EXTRAWATCH_FRONTEND_COUNTRIES_FIRST', "checkbox");  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  

define('EXTRAWATCH_SEO_RENDER_ONLY_CHANGED', FALSE);  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
define('TYPE_EXTRAWATCH_SEO_RENDER_ONLY_CHANGED', "checkbox");  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  

define('EXTRAWATCH_SEO_SHOW_ALL_TIME_REPORT', TRUE);  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
define('TYPE_EXTRAWATCH_SEO_SHOW_ALL_TIME_REPORT', "checkbox");  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  

define('EXTRAWATCH_USERS_SEND_ALERT_EMAILS', FALSE);  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
define('TYPE_EXTRAWATCH_USERS_SEND_ALERT_EMAILS', "checkbox");  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  

define('EXTRAWATCH_SEO_LIST_ENCRYPTED_KEYWORDS', FALSE);  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
define('TYPE_EXTRAWATCH_SEO_LIST_ENCRYPTED_KEYWORDS', "checkbox");  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  

define('EXTRAWATCH_FRONTEND_VISITORS_TOTAL_INITIAL', 0);  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  

define('EXTRAWATCH_LICENSE_ACCEPTED', 0);  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  

define('EXTRAWATCH_BLOCKING_MESSAGE', "Your IP address was blocked by ExtraWatch, please contact the system administrator");  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  

define('EXTRAWATCH_SPAMWORD_LIST', "  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
000 per day
000 per month
000 per week
100% free
addresses on cd
adipex
advicer
affiliate program
all natural
an invitation to
any future mailing
as seen on
auto email removal
avoid bankruptcy
baccarrat
bad credit
bankruptcy
be a millionaire
be amazed
be your own boss
beneficiary
big bucks
bill 1618
billing address
billion dollars
blackjack
bllogspot
booker
brand new pager
broadcast e-mail
bulk email
burn fat
buy direct
buying judgments
byob
cable converter
call now
calling creditors
cancel at any time
cannot be combined with any other offer  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
car-rental-e-site
car-rentals-e-site
carisoprodol
cash back
cash bonus
cashcashcash
casino
casinos
cell phone cancer scam  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
cents on the dollar
chain letter
check or money order  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
cialis
claim your
click this link
click to remove mailto  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
collect child support  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
compare rates
compete for your business  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
confidentially on all orders  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
consolidate debt and credit  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
consolidate today
coolcoolhu
coolhu
copy accurately
copy dvds
credit approval
credit bureaus
credit card offers
credit counseling
credit-card-debt
credit-report-4u
cures baldness
cwas
cyclen
cyclobenzaprine
dainty
dating-e-site
day-trading
debt consolidation
debt-consolidation
debt-consolidation-consultant  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
different reply to
dig up dirt on friends  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
direct email
direct marketing
discreetordering
discusses search engine listings  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
doctor approved pill  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
don't hesitate
dormant
double your income
drastically reduced
duty-free
dutyfree
e-mail marketing
earn $
earn extra cash
earn per week
eliminate bad credit  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
eliminate debt
email harvest
email marketing
enlarge penis
equity line of credit  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
equityloans
expect to earn
explode your business  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
extra income
f r e e
fantastic deal
fast cash
fast viagra delivery  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
financial freedom
financially independent  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
find out anything
fioricet
flowers-leading-site  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
follow the link
for instant access
for just $ (some amt)  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
for only $
free cell phone
free consultation
free dvd
free gift
free grant money
free investment
free leads
free membership
free money
free offer
free preview
free priority mail
free to the first
freenet-shopping
gambling-
get rich
get started now
gift certificate
hair loss
hair-loss
have you been turned down?  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
health-insurancedeals-4u  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
herbal remedies
hidden assets
holdem
holdempoker
holdemsoftware
holdemtexasturbowilson  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
home based business
home business
home employment
home equity
homebased business
homeequityloans
homefinance
hotel-dealse-site
hotele-site
hotelse-site
human growth hormone  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
if only it were that easy  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
if you wish to be removed  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
in accordance with laws  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
incest
increase your sales
incredible deal
information you requested  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
insurance
insurance-quotesdeals-4u  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
insurancedeals-4u
investment decision
join millions of american  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
jrcreations
largest payoff
laser printer
levitra
liens
life insurance
limited time offer
limited time only
long distance phone offer  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
look younger
loosest slots
lose 10 pounds
lose weight spam
lower interest rates  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
lower monthly payment  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
lowest mortgage interest rates  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
lowest price
luxury car
mail in order form
major credit cards
marketing solutions
mass email
meet singles
member stuff
message contains disclaimer  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
money making
money problems
month trial offer
more internet traffic  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
mortgage rates
mortgage-4-u
mortgagequotes
multi level marketing  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
name brand
new customers only
new domain extensions  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
nigerian
no age restrictions
no catch
no claim forms
no cost
no credit check
no disappointment
no experience
no gimmick
no inventory
no investment
no medical exams
no middleman
no more debt
no obligation
no purchase necessary  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
no questions asked
no selling
no strings attached
non secured
not intended
not mlm
not multi-level
not multilevel
off shore
offer expires
offer only available  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
offers coupon
offers extra cash
offers free (often stolen) passwords  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
once in lifetime
one hundred percent free  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
one hundred percent guaranteed  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
one time mailing
online biz opportunity  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
online casino
online pharmacy
online-gambling
onlinegambling-4u
only $
orders shipped by priority mail  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
ottawavalleyag
outstanding values
over weight
ownsthis
palm-texas-holdem-game  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
paxil
penis
penis enlarge
pennies a day
perpetual
pharmacy
phentermine
poker-chip
potential earnings
poze
print form signature  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
print out and fax
produced and sent out  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
pure profit
pussy
rate quote
rates slashed
real thing
reciprocal
referring url
refinance
refinance home
removal instructions  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
remove in the subject line  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
removed from future mailing  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
removed in subject line  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
removes wrinkles
rental-car-e-site
reply remove subject  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
reply to this message  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
requires initial investment  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
reserves the right
retirement business
reverses aging
ringtones
risk free
roulette
round the world
safeguard notice
satisfaction guaranteed  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
save $
save big money
save up to
score with babes
search engine listings  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
second mortgage
section 301
serious cash
shemale
single deck black jack  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
slot-machine
special promotion
stock disclaimer statement  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
stop balding
stop future mailing
stop snoring
student loans
texas-holdem
this e-mail complies  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
thorcarlson
to be removed
top-e-site
top-site
tramadol
trim-spa
ultram
vacation giveaway
valeofglamorganconservatives  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
very low-cost
viagra
video poker
vioxx
weight loss
wow gold
xanax
you win
you won
you're already approved  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
zolus
");

define('EXTRAWATCH_SPAMWORD_BANS_ENABLED', 0);  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
define('TYPE_EXTRAWATCH_SPAMWORD_BANS_ENABLED', "checkbox");  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  

define('TYPE_EXTRAWATCH_SPAMWORD_LIST', "largetext");  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  


define('EXTRAWATCH_LANGUAGE', 'english');  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
define('TYPE_EXTRAWATCH_LANGUAGE', "select");  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  

define('EXTRAWATCH_HISTORY_MAX_VALUES', 20);  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
define('TYPE_EXTRAWATCH_HISTORY_MAX_VALUES', "text");  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  

define('EXTRAWATCH_HISTORY_MAX_DB_RECORDS', 200);  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
define('TYPE_EXTRAWATCH_HISTORY_MAX_DB_RECORDS', "text");  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  


define('EXTRAWATCH_ONLY_LAST_URI', FALSE);  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
define('TYPE_EXTRAWATCH_ONLY_LAST_URI', "checkbox");  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  

define('EXTRAWATCH_HIDE_REPETITIVE_TITLE', FALSE);  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
define('TYPE_EXTRAWATCH_HIDE_REPETITIVE_TITLE', "checkbox");  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  

define('EXTRAWATCH_UNINSTALL_KEEP_DATA', FALSE);  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
define('TYPE_EXTRAWATCH_UNINSTALL_KEEP_DATA', "checkbox");  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  

define('EXTRAWATCH_EMAIL_REPORTS_ENABLED', TRUE);  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
define('TYPE_EXTRAWATCH_EMAIL_REPORTS_ENABLED', "checkbox");  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  

define('EXTRAWATCH_EMAIL_SEO_REPORTS_ENABLED', FALSE);  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
define('TYPE_EXTRAWATCH_EMAIL_SEO_REPORTS_ENABLED', "checkbox");  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  

define('EXTRAWATCH_EMAIL_REPORTS_ADDRESS', "@");  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  

define('EXTRAWATCH_EMAIL_PERCENT_HIGHER_THAN', 0);  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  

define('EXTRAWATCH_EMAIL_ONE_DAY_CHANGE_POSITIVE', 0);  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
define('EXTRAWATCH_EMAIL_ONE_DAY_CHANGE_NEGATIVE', 0);  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
define('EXTRAWATCH_EMAIL_SEVEN_DAY_CHANGE_POSITIVE', 0);  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
define('EXTRAWATCH_EMAIL_SEVEN_DAY_CHANGE_NEGATIVE', 0);  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
define('EXTRAWATCH_EMAIL_TWENTY_EIGHT_DAY_CHANGE_POSITIVE', 0);  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
define('EXTRAWATCH_EMAIL_TWENTY_EIGHT_DAY_CHANGE_NEGATIVE', 0);  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  

define('EXTRAWATCH_EMAIL_NAME_TRUNCATE', 40);  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  


define('EXTRAWATCH_FRONTEND_COUNTRIES_MAX_COLUMNS', 1);  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
define('EXTRAWATCH_FRONTEND_COUNTRIES_MAX_ROWS', 10);  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  

define('EXTRAWATCH_FRONTEND_COUNTRIES_NAMES', 1);  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
define('TYPE_EXTRAWATCH_FRONTEND_COUNTRIES_NAMES', "checkbox");  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  

define('EXTRAWATCH_FRONTEND_COUNTRIES_FLAGS_FIRST', 0);  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
define('TYPE_EXTRAWATCH_FRONTEND_COUNTRIES_FLAGS_FIRST', "checkbox");  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  

define('EXTRAWATCH_FLOW_DEFAULT_OUTGOING_LINKS_COUNT', 5);  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
define('EXTRAWATCH_FLOW_DEFAULT_NESTING_LEVEL', 2);

define('EXTRAWATCH_CHARTS_DOWNLOAD_LIMIT', 20);
define('TYPE_EXTRAWATCH_CHARTS_DOWNLOAD_LIMIT', "text");


define('EW_DB_KEY_BROWSER', 1);  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
define('EW_DB_KEY_COUNTRY', 2);  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
define('EW_DB_KEY_GOALS', 3);  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
define('EW_DB_KEY_HITS', 4);  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
define('EW_DB_KEY_INTERNAL', 5);  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
define('EW_DB_KEY_IP', 6);  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
define('EW_DB_KEY_KEYWORDS', 7);  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
define('EW_DB_KEY_LOADS', 8);  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
define('EW_DB_KEY_OS', 9);  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
define('EW_DB_KEY_REFERERS', 10);  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
define('EW_DB_KEY_UNIQUE', 11);  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
define('EW_DB_KEY_URI', 12);  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
define('EW_DB_KEY_USERS', 13);  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
define('EW_DB_KEY_KEYPHRASE', 14);  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
define('EW_DB_KEY_URI2KEYPHRASE', 15);  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
define('EW_DB_KEY_SOCIAL_MEDIA', 20);  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
define('EW_DB_KEY_DEVICES',21);  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  

define('EW_DB_KEY_SIZE_DB', 101);  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
define('EW_DB_KEY_SIZE_COM', 102);  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
define('EW_DB_KEY_SIZE_MOD', 103);  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  

define('EW_DB_KEY_TRAFFIC_FLOW', 16);  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
define('EW_DB_KEY_SEARCH_RESULT_NUM', 17);  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
define('EW_DB_KEY_HEATMAP', 18);  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
define('EW_DB_KEY_HTML_ELEMENT', 19);  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  

define('EXTRAWATCH_WARNING_THRESHOLD', 20);  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  

/* number of visit a keyphrase has to get to be considered as unimportant */  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
define('EXTRAWATCH_UNIMPORTANT_KEYPHRASE_THRESHOLD', 5);  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
define('EXTRAWATCH_DAYS_TO_KEEP_UNIMPORTANT_KEYPHRASES', 7);  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  

define('EXTRAWATCH_MAP_OPENMAP', 1);  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
// not using google map by default  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
define('EXTRAWATCH_MAP_GOOGLEMAP', 0);  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  

define('EXTRAWATCH_STATS_ITEMS', serialize (  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
    array('goals', 'referers', 'keyphrase', 'keywords', 'social_media', 'devices', 'users', 'uri', 'internal', 'country', 'ip', 'browser', 'os')  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
));

define('EXTRAWATCH_GRAPH_STATS_ITEMS', serialize (  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
    array('referers', 'internal', 'keyphrase', 'keywords', 'uri', 'users', 'goals', 'country', 'ip', 'browser', 'os', 'size_db')  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
));

//upgrade.xml path
define('TEMP_EXTRAWATCH_UPDATE_FILE_URL', "http://www.codegravity.com/update/extrawatch/update.xml");  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  

//upgrade <script> files path  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
define('TEMP_EXTRAWATCH_SCRIPT_POSTION', "http://localhost/joomla/upgrade/extrawatch/script/");  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  

//zip file path including 4 files:com_extrawatch.zip,mod_EXTRAWATCH_agent.zip,mod_EXTRAWATCH_users.zip and mod_EXTRAWATCH_visitors.zip  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
define('TEMP_EXTRAWATCH_LASTESTZIP_POSTION', "http://www.codegravity.com/update/extrawatch/");  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  

define('EXTRAWATCH_UNKNOWN_COUNTRY', "xx");  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  

define('EXTRAWATCH_GOALS_SEND_EMAIL_WHEN_REACHED', 1);  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
define('TYPE_EXTRAWATCH_GOALS_SEND_EMAIL_WHEN_REACHED', "checkbox");  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  


define('EXTRAWATCH_TABLES_TO_OPTIMIZE',  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
serialize(array(
"#__extrawatch",
"#__extrawatch_blocked",
"#__extrawatch_cache",
"#__extrawatch_cc2c",
"#__extrawatch_config",
"#__extrawatch_dm_counter",
"#__extrawatch_dm_extension",
"#__extrawatch_dm_paths",
"#__extrawatch_dm_referrer",
"#__extrawatch_flow",
"#__extrawatch_goals",
"#__extrawatch_heatmap",
"#__extrawatch_history",
"#__extrawatch_info",
"#__extrawatch_internal",
"#__extrawatch_ip2c_cache",
"#__extrawatch_keyphrase",
"#__extrawatch_sql_scripts",
"#__extrawatch_uri",
"#__extrawatch_uri2keyphrase",
"#__extrawatch_uri2keyphrase_pos",
"#__extrawatch_uri2title",
"#__extrawatch_uri_history",
"#__extrawatch_uri_post",
"#__extrawatch_user_log",
"#__extrawatch_visit2goal"
)  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
));

define('EXTRAWATCH_TABLES_TO_TRUNCATE',  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
serialize(array(
"#__extrawatch",
"#__extrawatch_blocked",
"#__extrawatch_cache",
"#__extrawatch_cc2c",
"#__extrawatch_dm_counter",
"#__extrawatch_dm_extension",
"#__extrawatch_dm_paths",
"#__extrawatch_dm_referrer",
"#__extrawatch_flow",
"#__extrawatch_goals",
"#__extrawatch_heatmap",
"#__extrawatch_history",
"#__extrawatch_info",
"#__extrawatch_internal",
"#__extrawatch_ip2c_cache",
"#__extrawatch_keyphrase",
"#__extrawatch_sql_scripts",
"#__extrawatch_uri",
"#__extrawatch_uri2keyphrase",
"#__extrawatch_uri2keyphrase_pos",
"#__extrawatch_uri2title",
"#__extrawatch_uri_history",
"#__extrawatch_uri_post",
"#__extrawatch_user_log",
"#__extrawatch_visit2goal"
)
));

/* defines explicitely checkboxes */  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
define('EXTRAWATCH_CHECKBOX_NAMES_ARRAY',  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
serialize(array(
    'EXTRAWATCH_FRONTEND_NO_BACKLINK',  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
    'EXTRAWATCH_FRONTEND_NOFOLLOW',  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
    'EXTRAWATCH_FRONTEND_HIDE_LOGO',  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
    'EXTRAWATCH_IP_STATS',  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
    'EXTRAWATCH_FRONTEND_NO_BACKLINK',  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
    'EXTRAWATCH_FRONTEND_COUNTRIES',  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
    'EXTRAWATCH_FRONTEND_COUNTRIES_UPPERCASE',  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
    'EXTRAWATCH_FRONTEND_COUNTRIES_FIRST',  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
    'EXTRAWATCH_FRONTEND_VISITORS',  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
    'EXTRAWATCH_FRONTEND_VISITORS_TODAY',  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
    'EXTRAWATCH_FRONTEND_VISITORS_YESTERDAY',  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
    'EXTRAWATCH_FRONTEND_VISITORS_THIS_WEEK',  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
    'EXTRAWATCH_FRONTEND_VISITORS_LAST_WEEK',  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
    'EXTRAWATCH_FRONTEND_VISITORS_THIS_MONTH',  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
    'EXTRAWATCH_FRONTEND_VISITORS_LAST_MONTH',  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
    'EXTRAWATCH_FRONTEND_VISITORS_TOTAL',  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
    'EXTRAWATCH_TOOLTIP_ONCLICK',  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
    'EXTRAWATCH_ONLY_LAST_URI',  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
    'EXTRAWATCH_HIDE_REPETITIVE_TITLE',  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
    'EXTRAWATCH_UNINSTALL_KEEP_DATA',  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
    'EXTRAWATCH_FRONTEND_COUNTRIES_NAMES',  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
    'EXTRAWATCH_FRONTEND_COUNTRIES_FLAGS_FIRST',  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
    'EXTRAWATCH_EMAIL_REPORTS_ENABLED',  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
    'EXTRAWATCH_EMAIL_SEO_REPORTS_ENABLED',  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
    'EXTRAWATCH_EMAIL_USERS_SEND_ALERT_EMAILS',  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
	'EXTRAWATCH_SEND_EMAIL'  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
)));

/* version 1.2.18 */  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
define('EXTRAWATCH_HEATMAP_KEEP_DAYS', 28);  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  

define('EXTRAWATCH_GOALS_ALLOWED_FIELDS',  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
    serialize(
        array(1=>"NAME","USERNAME_INVERSED","URI_CONDITION","URI_INVERSED","GET_VAR","GET_CONDITION","GET_INVERSED","POST_VAR","POST_CONDITION","POST_INVERSED","TITLE_CONDITION","TITLE_INVERSED","USERNAME_CONDITION","IP_CONDITION","IP_INVERSED","CAME_FROM_CONDITION","CAME_FROM_INVERSED","COUNTRY_CONDITION","COUNTRY_INVERSED","CLICKED_ELEMENT_XPATH_CONDITION","BLOCK","REDIRECT","SEND_EMAIL")  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
    )
);

define('_EW_EMAIL_SENDER',"info@extrawatch.com");  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  

/* Referer Variables */  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  



define('EXTRAWATCH_SOCIAL_MEDIA_REGEX',serialize(array(  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
    '/^(https?:\/\/)?(www\.)?facebook\.com/' => "facebook",  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
    '/^(https?:\/\/)?(www\.)?twitter\.com/' => "twitter",  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
    '/^(https?:\/\/)?(www\.)?t\.com?/' => "twitter",  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
    '/^(https?:\/\/)?(www\.)?t\.co?/' => "twitter",  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
    '/^(https?:\/\/)?(www\.)?linkedin\.com?/' => "linkedin",  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
    '/^(https?:\/\/)?(www\.)?plus\.google\.com?/' => "google_plus",  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
    '/^(https?:\/\/)?(www\.)?pinterest\.com?/' => "pinterest",  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
    '/^(https?:\/\/)?(www\.)?myspace\.com?/' => "myspace",  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
    '/^(https?:\/\/)?(www\.)?orkut\.com?/' => "orkut",  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
    '/^(https?:\/\/)?(www\.)?ning\.com?/' => "ning",  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
    '/^(https?:\/\/)?(www\.)?deviantart\.com?/' => "deviantart",  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
    '/^(https?:\/\/)?(www\.)?livejournal\.com?/' => "livejournal",  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
    '/^(https?:\/\/)?(www\.)?tagged\.com?/' => "tagged",  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
    '/^(https?:\/\/)?(www\.)?meetup\.com?/' => "meetup",  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
    '/^(https?:\/\/)?(www\.)?mylife\.com?/' => "mylife",  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
    '/^(https?:\/\/)?(www\.)?multiply\.com?/' => "multiply",  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
    '/^(https?:\/\/)?(www\.)?cafemom\.com?/' => "cafemom",  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
    '/^(https?:\/\/)?(www\.)?google.*/' => "google",  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
    '/^(https?:\/\/)?(www\.)?bing.*/' => "bing",  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
    '/^(https?:\/\/)?(www\.)?search.yahoo.*/' => "yahoo"  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  

)));
define('_EW_EXTRAWATCH_IPINFODB_KEY','da8a7ff62f7467dd2d3b7faca6732f499efac7f6f7d444fb845076105a38a2cc');  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  


define('EXTRAWATCH_FILE_PERMISSIONS_TO_FIX', serialize(array()));   //todo .. add directories  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  


if (!defined('_EW_HOST') && !defined('_EW_CLOUD_MODE')) {  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
	$cloudModeConfigFile = @realpath(dirname(__FILE__).DS."..".DS."..".DS."..").DS."connection.php";  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
	if (@file_exists($cloudModeConfigFile)) {  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
			if (!defined('_EW_CLOUD_MODE')) {  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
				define('_EW_CLOUD_MODE',TRUE);  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
			}
			require_once($cloudModeConfigFile);  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
	} else {
			define('_EW_CLOUD_MODE',FALSE);  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
	}

}


define('EXTRAWATCH_KEEP_MAX_VISITS', 1000);  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
define('TYPE_EXTRAWATCH_KEEP_MAX_VISITS', "number");  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  

define('EXTRAWATCH_FRONTEND_USER_RENDER_REAL_NAME', 0);		//0 - display username on frontend, 1- display user's real name on frontend    	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  



define('EXTRAWATCH_INCLUDE_FILE_WHITELIST',
serialize(array( 1=>
    "view/dm_add_ext.php",
    "view/adminstyles.php",
    "view/adminbody.php",
    "view/dm_add_filepath.php",
    "view/dm_edit_ext.php",
    "view/dm_edit_filepath.php",
    "view/exportxml.php",
    "view/goal.php",
    "view/goals.php",
    "view/importxml.php",
    "view/adminstyles.php",
    "view/adminheader.php",
    "view/settings.php",
    "view/credits.php",
    "view/license.php",
    "view/license-free.php",
    "view/status.php",
    "view/history.php",
    "view/emails.php",
    "view/flow.php",
    "view/sizes.php",
    "view/sizecomponents.php",
    "view/sizemodules.php",
    "view/sizedatabase.php",
    "view/seo.php",
    "view/dm_downloads.php",
    "view/users.php",
    "view/location.php",
    "view/stats.php",
    "view/footer.php",
    "view/graphs.php",
    "view/fullversion.php",
    "view/heatmap.php",
    "view/clicks.php",
    "view/antispam.php",

    "ajax/unloaded.php",
    "ajax/img.php",
    "ajax/heatmap.include.js.php",
    "ajax/heatmap.php",
    "ajax/block.php",
    "ajax/clicks.php",
    "ajax/dashboard.css.php",
    "ajax/download.php",
    "ajax/elementclicks.php",
    "ajax/heatmap.include.js.php",
    "ajax/heatmap.php",
    "ajax/img.php",
    "ajax/last.php",
    "ajax/lastclick.php",
    "ajax/lastvisit.php",
    "ajax/sizequery.php",
    "ajax/sizequerytotal.php",
    "ajax/stats.php",
    "ajax/tooltip.php",
    "ajax/trendtooltip.php",
    "ajax/unloaded.php",
    "ajax/vars.php",
    "ajax/visits.php",

    "js/extrawatch.js.php",
    "js/maps.js.php"

)));
